/*
 *  Copyright (C) 2004/2005 Karlheinz Klingbeil (lunqual)
 *
 *    This program is free software; you can redistribute it and/or modify
 *    it under the terms of the GNU General Public License as published by
 *    the Free Software Foundation; either version 2 of the License, or
 *    (at your option) any later version.
 *    This program is distributed in the hope that it will be useful,
 *    but WITHOUT ANY WARRANTY; without even the implied warranty of
 *    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *    GNU General Public License for more details.
 *
 *    You should have received a copy of the GNU General Public License
 *    along with this program; if not, write to the Free Software
 *    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *
 */

package de.lunqual.rzpro.items.acid;

/**
 * @author lunqual
 *
 */
public class AcidItem {

	int 			id;
	String		name;
	boolean 	system;
	double		factor;

	public AcidItem(int id, boolean system, String bezeichnung, double factor) {
		this.id = id;
		this.system = system;
		this.name = bezeichnung;
		this.factor = factor;
	}

	public String getName() {
		return name;
	}

	public void setName(String name) {
		this.name=name;
	}

	public double getFactor() {
		return factor;
	}

	public void setFactor(double factor) {
		this.factor=factor;
	}

	public int getId() {
		return id;
	}

	public void setId(int id) {
		this.id=id;
	}

	public boolean isSystem() {
		return system;
	}

	@Override
	public String toString() {
		return name;
	}

}
